<!DOCTYPE html>
<html>

<head>
    <meta charset='UTF-8'>
    <title>Ajax com jQuery</title>
    <link rel='stylesheet' href='css/estilo.css'>
    <script src="js/jquery.js"></script>
</head>

<body class="conteudo exercicio">
    <h1>jQuery Get/Post</h1>
    <div id="get"></div>
    <div id="post"></div>

    <script>
        function exibirResultado(id, dados) {
            const texto = JSON.stringify(dados)
            document.getElementById(id).innerHTML = texto
        }

        $.ajax({
            url: 'parOuImpar',
            data: {
                number: 5
            }, 
            success(data) {
                exibirResultado('get', data)
            }
        })

        $.ajax({
            url: 'formulario',
            method: 'post',
            data: {
                nome: 'Henrique',
                sobrenome: 'Borges'
            }, 
            success(data) {
                exibirResultado('post', data)
            },

            error(e) {
                exibirResultado('post', e)
            }
        })
    </script>
</body>